summaryrefslogtreecommitdiff
path: root/scripts
diff options
context:
space:
mode:
authorAndré Dieb Martins <andre.dieb@gmail.com>2010-03-22 11:06:21 -0300
committerTim-Philipp Müller <tim.muller@collabora.co.uk>2010-03-22 15:45:57 +0000
commit41199453499301255870e8290994d6468ee683a6 (patch)
tree3c1acacbc78f895e927d851825f930242031e954 /scripts
parente3efae65bcc1472713e351706806f3a1e43422ab (diff)
git-update.sh: use autogen.sh instead of autoregen.sh on fresh repositories.
Fixes #613593.
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/git-update.sh14
1 files changed, 13 insertions, 1 deletions
diff --git a/scripts/git-update.sh b/scripts/git-update.sh
index 6bfae3459..bb028d6ae 100755
--- a/scripts/git-update.sh
+++ b/scripts/git-update.sh
@@ -63,7 +63,7 @@ build()
{
if test -d $1; then
cd $1
- if test ! -e Makefile
+ if test ! -e Makefile -a -e autoregen.sh
then
echo "+ $1: autoregen.sh"
./autoregen.sh > "$tmp/$1-regen.log" 2>&1
@@ -75,6 +75,18 @@ build()
fi
echo "+ $1: autoregen.sh done"
fi
+ else if test ! -e Makefile
+ then
+ echo "+ $1: autogen.sh"
+ ./autogen.sh > "$tmp/$1-gen.log" 2>&1
+ if test $? -ne 0
+ then
+ echo "$1: autogen.sh [$tmp/$1-gen.log]" >> $ERROR_LOG
+ cd ..
+ return $ERROR_RETURN
+ fi
+ echo "+ $1: autogen.sh done"
+ fi
echo "+ $1: make"
make > "$tmp/$1-make.log" 2>&1